/*
 * Please do not edit this file.
 * It was generated using rpcgen.
 */

#ifndef _FUNCIONESV2_H_RPCGEN
#define _FUNCIONESV2_H_RPCGEN

#include <rpc/rpc.h>


#ifdef __cplusplus
extern "C" {
#endif


struct mensaje {
	int opcion;
	int cantidad;
};
typedef struct mensaje mensaje;

#define FUNCIONESBANCO 0x20000001
#define VERSION_MENSAJE 1

#if defined(__STDC__) || defined(__cplusplus)
#define msj 1
extern  char ** msj_1(mensaje *, CLIENT *);
extern  char ** msj_1_svc(mensaje *, struct svc_req *);
extern int funcionesbanco_1_freeresult (SVCXPRT *, xdrproc_t, caddr_t);

#else /* K&R C */
#define msj 1
extern  char ** msj_1();
extern  char ** msj_1_svc();
extern int funcionesbanco_1_freeresult ();
#endif /* K&R C */

/* the xdr functions */

#if defined(__STDC__) || defined(__cplusplus)
extern  bool_t xdr_mensaje (XDR *, mensaje*);

#else /* K&R C */
extern bool_t xdr_mensaje ();

#endif /* K&R C */

#ifdef __cplusplus
}
#endif

#endif /* !_FUNCIONESV2_H_RPCGEN */
